import { latexFilename } from "../components/FiguresModal";

export const spanish = {
  seeProblems: 'Desafío',
  createExam: 'Generar Control',
  submitProblem: 'Enviar Problema',
  logIn: 'Iniciar Sesión',
  logout: 'Cerrar Sesión',
  submit: 'Enviar',
  examName: 'Nombre del Control *',
  examDate: 'Fecha del Control *',
  examStartTime: 'Hora de Inicio del Control *',
  examEndTime: 'Hora de Término del Control *',
  teacherName: 'Nombre del Profesor *',
  courseName: 'Nombre del Curso *',
  courseCode: 'Código del Curso *',
  universityName: 'Nombre de la Universidad *',
  examLanguage: 'Idioma del Control *',
  examStyle: 'Estilo del Control *',
  nProblems: 'Número de Preguntas *',
  spanish: 'Español',
  english: 'Inglés',
  compact: 'Compacto',
  learningGoals: 'Objetivos Pedagógicos',
  submitCreateExam: 'Generar',
  breadcrumbTitle: {
    createControl: 'Generar Control',
    validateProblems: 'Desafío',
    sendProblem: 'Enviar problema',
    profile: 'Perfil',
    register: 'Registrarse',
    downloadExam: 'Descargar',
    success: 'Éxito',
  },
  problemNameNoForm: 'Nombre del Problema',
  problemAuthorNoForm: 'Autor del Problema',
  loadingTopics: 'Cargando tópicos...',
  problemName: 'Nombre del Problema *',
  problemAuthor: 'Autor del Problema *',
  statement: 'Enunciado *',
  solution: 'Solución',
  markingScheme: 'Asignación de Puntaje',
  username: 'Nombre de Usuario',
  password: 'Contraseña',
  loginError: 'Error al iniciar sesión',
  sendProblemSuccessful: 'Problema enviado con éxito',
  myExams: 'Mis Controles',
  changePassword: 'Cambiar Contraseña',
  changePasswordError: 'Error al cambiar contraseña',
  oldPassword: 'Contraseña Antigua',
  newPassword: 'Nueva Contraseña',
  verifyPassword: 'Confirmar Contraseña',
  loadingChallenge: 'Cargando desafío...',
  answers: {
    Blank: 'Nulo',
    Valid: 'Válido',
    Invalid: 'Inválido',
  },
  questions: {

  },
  problems: 'Problemas *',
  addProblem: 'Agregar Problema',
  removeProblem: 'Eliminar Problema',
  random: '¿Aleatorio?',
  manual: 'Manual...',
  problemType: 'Tipo de Problema',
  examLearningGoals: 'Objetivos Pedagógicos del Control',
  manualProblemRequiresLogin: 'Agregar un problema manualmente require iniciar sesión',
  loadingExam: 'Cargando control...',
  examTopics: 'Objetivos Pedagógicos Elegidos:',
  downloadWithoutSolution: 'Descargar sin pauta',
  downloadWithSolution: 'Descargar con Pauta',
  confirmPay: 'Confirmar Pago',
  pdfPreview: 'Vista previa del PDF',
  free: 'Gratis',
  paid: 'Pagado',
  noChallenges: 'No tienes desafíos disponibles...',
  estimatedValue: 'Valor estimado con solución:',
  actionFailed: 'Acción Fallida',
  retry: 'Reintentar',
  close: 'Cerrar',
  problemContent: 'Contenido del Problema',
  next: 'Siguiente',
  noExam: 'No se pudo obtener el control',
  deniedExam: 'No tienes permiso para ver este control.\nIntenta iniciar sesión con la cuenta dueña del control.',
  examNameTooltip: 'Nombre a indicar en el titulo',
  examDateTooltip: 'Fecha de la evaluación',
  courseNameTooltip: 'Nombre de referencia en la institución educacional',
  courseCodeTooltip: 'Código de referencia en la universidad',
  examLanguageTooltip: 'Idioma del control y de los problemas a utilizar de EasyExam',
  examStyleTooltip: 'Formato extendido para incluir espacio después de cada pregunta, sino compacto',
  nProblemsTooltip: 'Incluir problemas de EasyExam o redactar uno',
  learningGoalsTooltip: 'EasyExam escogerá problemas con éstos objetivos pedagógicos',
  pNameTooltip: 'Nombre para guardar el problema y para mostrar en el examen (campo obligatorio)',
  pStatementTooltip: 'Enunciado del problema, puede incluir comandos en LaTeX (campo obligatorio)',
  pSolutionTooltip: 'Solucion propuesta para el problema, puede incluir comandos en LaTeX (campo opcional)',
  pMSchemeTooltip: 'Asignacion de puntaje sugerida por respuesta (campo opcional)',
  pLearningGoalTooltip: 'Temas evaluados en el problema, esto permite encontrar problemas al generar examenes',
  loadingExams: 'Cargando tus controles...',
  noExams: 'No se pudo obtener tus controles',
  preview: 'Vista previa',
  passwordLoginError: 'Constraseña equivocada',
  buttonAccept: 'Aceptar',
  buttonCancel: 'Cancelar',
  goBackHome: 'Volver al menu de inicio',
  challengeDone: 'Desafio enviado con éxito',
  createExamTimeError: 'Las horas de inicio y fin no son consistentes',
  composeProblem: 'Redactar problema',
  figures: 'Figuras...',
  problemFigures: 'Figuras del problema',
  addFigure: '+ Agregar figura',
  remove: 'Eliminar',
  selectFigureHelp: 'Selecciona una figura para obtener su código latex',

  confirmPayBody: ({ exam }) => `Descargar este control con pauta requiere un pago de ${exam.cost} créditos.\n¿Está seguro?`,

  formatProblemNumber: number => `Problema ${number}`,
  formatCredits: ({ credits }) => `$${credits} créditos`,

  formatTopics: ({ topics }) => {
    if (topics.length === 0) { return 'Ninguno en específico'; }
    return topics.map(topic => topic.name).join(', ');
  },

    formatDuplicatedFilenames(filenames) {
    const [ a, b ] = filenames;
    return a === b ?
      `Ya estás subiendo una figura con nombre de archivo "${a}".`
      : `Para LaTeX "${a}" y "${b}" tienen el mismo nombre de archivo, pues LaTeX convierte ambos a "${latexFilename(a)}".`;
  },
};